html,
body {
  margin: 0;
  padding: 0;
  font-size: 18px;
  font-family: "Lato", sans-serif;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1;
  min-height: 500px;
  margin-top: 20px;
  display: flex;
  flex-direction: column;
}

#display_cours {
  flex: 1;
  margin-top: 40px;
  display: flex;
  flex-direction: column;
  padding: 20px;
}

h1,
h2,
h3,
h4 {
  word-break: break-word;
}

.title_principal {
  width: 100%;
  text-align: center;
  font-weight: 800;
}
.title_little_principal {
  width: 80%;
  align-self: center;
  text-align: center;
  font-size: 1.5em;
  font-weight: 800;
}

.subnav {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.menu__item_subnav {
  position: relative;
  display: flex;
  flex-direction: row-reverse;
  justify-content: flex-end;
}

.subnav:hover, .menu__item_subnav:hover{
  cursor:default;
}

.subnav .subnavbtn {
  color: black;
}

.subnav-content {
  display: none;
  flex-direction: column;
  align-items: center;
  max-width: 200px;
  position: absolute;
  background-color: white;
  border: 1px solid lightgray;
  padding: 10px 10px;
  z-index: 1;
  top: 30px;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 5px 11px #00000029;
  border-radius: 15px;
}

.in_chvr{
  position: absolute;
  bottom: 205px;
  font-size: 30px;
  z-index: 200;
}

.hide{
  display: none;
}

.in_chvr_left{
  left: 25px;
}

.in_chvr_right{
  right: 25px;
}

.subnav-content a {
  float: left;
  color: black;
  text-decoration: none;
  position: relative;
}

.subnav:hover .subnav-content{
  display: flex;
  /* flex-direction: column;
  align-items: flex-start; */
}

.menu__item_subnav:hover .subnav-content{
   display: flex;
}


a {
  color: black;
  text-decoration: none;
}

canvas {
  background-color: white;
  width: 100%;
}

.container_canvas {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: red;
}
.in_canvas {
  width: 100%;
  position: absolute;
  top: 15%;
  z-index: 5;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.in_canvas hr {
  background-color: #00b4d8;
  width: 70px;
  height: 3px;
  border: none;
  transform: rotate(90deg);
  margin-top: 40px;
}
.in_canvas h1 {
  color: #03045e;
  width: 100%;
  text-align: center;
  font-size: 3rem;
}
.underline_title {
  background-color: #00b4d8;
  width: 70px;
  height: 3px;
  border: none;
  margin-top: 40px;
}

header {
  position: fixed;
  background-color: white;
  width: 100%;
  height: 140px;
  display: flex;
  flex-direction: row;
  font-size: 1.4em;
  font-weight: 600;
  align-items: center;
  justify-content: space-between;
  padding: 12px 0px;
  z-index: 11;
}
.block_more {
  display: block;
  height: 150px;
}
header nav {
  width: 70%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: center;
  gap: 5%;
  padding-right: 12px;
}

.row{
  /* width: 75%; */
  display: flex;
  align-items: center;
  justify-content: space-between ;
  gap: 50px;
}

.group-input{
  display: flex;
  flex: 1;
  flex-direction: column;

}
.contain-logo {
  height: 100%;
}
header .logo {
  height: 90%;
}

.sub_menu__box_bigscreen {
  display: block;
  list-style-type: none;
}
.sub_menu__box_bigscreen li {
  float: left;
  width: 25%;
  text-align: center;
  position: relative;
}

.sub_menu__box_bigscreen::after {
  content: "";
  display: table;
  clear: both;
}

.hamburger-menu {
  display: none;
}

#menu__toggle {
  opacity: 0;
}

#menu__toggle:checked + .menu__btn > span {
  transform: rotate(45deg);
}

#menu__toggle:checked + .menu__btn > span::before {
  top: 0;
  transform: rotate(0deg);
}

#menu__toggle:checked + .menu__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}

#menu__toggle:checked ~ .menu__box {
  right: 0 !important;
}

.menu__btn {
  position: fixed;
  top: 50px;
  right: 20px;
  width: 26px;
  height: 26px;
  cursor: pointer;
  z-index: 12;
}

.menu__btn > span,
.menu__btn > span::before,
.menu__btn > span::after {
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #616161;
  transition-duration: 0.25s;
}

.menu__btn > span::before {
  content: "";
  top: -8px;
}

.menu__btn > span::after {
  content: "";
  top: 8px;
}

.menu__box {
  display: flex;
  flex-direction: column;
  position: fixed;
  top: 0;
  right: -100%;
  margin: 0;
  padding: 80px 0 20px 0;
  list-style: none;
  background-color: white;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.4);
  border-end-start-radius: 8px;
  transition-duration: 0.25s;
  z-index: 10;
}

.sub_menu__box {
  list-style: none;
}

.sub_menu__item {
  display: block;
  padding: 8px 22px;
  color: #333;
  font-family: "Roboto", sans-serif;
  font-size: 0.7em;
  font-weight: 700;
  text-decoration: none;
  transition-duration: 0.25s;
  text-align: center;
}

.menu__item {
  display: block;
  padding: 8px 22px;
  color: #333;
  font-family: "Roboto", sans-serif;
  font-size: 20px;
  font-weight: 600;
  text-decoration: none;
  transition-duration: 0.25s;
}

footer {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  letter-spacing: 0px;
  color: #3f3d56;
  opacity: 1;
  background-color: #ededed;
  width: 100%;
}

.footer-row {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  width: 100%;
  height: 80%;
  margin: 50px 0;
}

.bar-bot {
  width: 100%;
  height: 30px;
  background-color: #dddddd;
}
footer h3 {
  font-weight: 700;
}
footer a h3 {
  font-weight: 700;
}
footer p {
  font-weight: 500;
}

.wrap {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 10px;
  /* width: 30%; */
  max-width: 70%;
  min-width: 30%;
  /* flex-direction: column; */
  /* max-width: 45%; */
}

.name-doc {
  font-size: 0.7em;
  margin: 0px;
  max-width: 50%;
  max-height: 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.name-doc-blue {
  color: #b5c0d5;
}

.name-doc-red {
  color: #d5b5b5;
}

.list-group-item:first-child {
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
}

.list-group-item {
  position: relative;
  display: block;
  padding: 0.75rem 1.6rem;
  margin-bottom: -1px;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.125);
  text-align: left;
}

.list-group {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
}

.mainOwnHtml a{
  color:#0077B6;
  text-decoration: underline;
}

@media (max-width: 906px){
  header nav {
    display: none;
  }
  .hamburger-menu {
    display: block;
  }
  .subnav-content{
    right: 95%;
    top:0px
  }
}

@media (max-width: 768px) {
  header {
    /* position: relative; */
    height: 4em;
    display: flex;
    flex-direction: row;
    font-size: 1.4em;
    font-weight: 600;
    align-items: center;
    justify-content: flex-start;
  }
  .footer-row {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
    text-align: left;
  }
  .footer-row div {
    width: 80%;
  }

  .wrap {
    /* flex-direction: column; */
    width:100%;
    gap:5px
  }
  .row{
    flex-direction: column;
    gap: 0px;
  }
  .in_canvas h1 {
    font-size: 2rem;
  }
}

.active-btn{
  background-color: #0077B6 !important;
  color: white;
}
